fpc_com_packets.h File Reference

Communication packet type definitions. More...

`#include <stdint.h>`
Include dependency graph for fpc_com_packets.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | fpc_com_packet_transport
struct | fpc_com_packet_link

## Macros

#define | FPC_COM_ACK 0x7f01ff7f

## Typedefs

typedef struct fpc_com_packet_transport | fpc_com_packet_tsp_t
typedef uint16_t | fpc_com_channel_t
typedef struct fpc_com_packet_link | fpc_com_packet_link_t

## Enumerations

enum | fpc_com_channel { FPC_COM_CHANNEL_NONE = 0x00, FPC_COM_CHANNEL_CLEAR = 0x01, FPC_COM_CHANNEL_TLS = 0x02, FPC_COM_CHANNEL_END = 0xFF }

## Detailed Description

Communication packet type definitions.

Definition in file fpc_com_packets.h.

## Macro Definition Documentation

#define FPC_COM_ACK 0x7f01ff7f

Communication acknowledge definition

Definition at line 32 of file fpc_com_packets.h.

## Typedef Documentation

typedef uint16_t fpc_com_channel_t

Communication channel type

Definition at line 58 of file fpc_com_packets.h.

typedef struct fpc_com_packet_link fpc_com_packet_link_t

Link layer packet

typedef struct fpc_com_packet_transport fpc_com_packet_tsp_t

Transport layer packet.

## Enumeration Type Documentation

enum fpc_com_channel

Transport packet channels.

Enumerator
FPC_COM_CHANNEL_NONE |
FPC_COM_CHANNEL_CLEAR |
FPC_COM_CHANNEL_TLS |
FPC_COM_CHANNEL_END |

Definition at line 51 of file fpc_com_packets.h.